/*
 * @(#)ContentProducerContext.java
 *
 * Project:		JHotdraw - a GUI framework for technical drawings
 *				http://www.jhotdraw.org
 *				http://jhotdraw.sourceforge.net
 * Copyright:	 by the original author(s) and all contributors
 * License:		Lesser GNU Public License (LGPL)
 *				http://www.opensource.org/licenses/lgpl-license.html
 */
package org.jhotdraw.contrib.html;

/**
 * ContentProducerContext defines the base interface required of clients of
 * ContentProducers.<br>
 * ContentProducers may need to retrieve information from their calling client
 * in order to fulfill the contents request
 * 
 * @author Eduardo Francos - InContext
 * @created 30 avril 2002
 * @version <$CURRENT_VERSION$>
 */
public interface ContentProducerContext {
}
