/*
 * @(#)Cursor.java
 *
 * Project:		JHotdraw - a GUI framework for technical drawings
 *				http://www.jhotdraw.org
 *				http://jhotdraw.sourceforge.net
 * Copyright:	 by the original author(s) and all contributors
 * License:		Lesser GNU Public License (LGPL)
 *				http://www.opensource.org/licenses/lgpl-license.html
 */

package org.jhotdraw.framework;

/**
 * This interface has the purpose to reduce the dependency of JHotDraw on AWT
 * classes and interfaces. See {@link org.jhotdraw.standard.AWTCursor} for an
 * example of implementation for this interface.
 * 
 * <p>
 * Created on: 08/05/2003.
 * </p>
 * 
 * @version $Revision: 1.2 $
 * @author <a href="mailto:ricardo_padilha@users.sourceforge.net">Ricardo Sangoi
 *         Padilha</a>
 * @see org.jhotdraw.standard.AWTCursor
 */
public interface Cursor {

}
